All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Interface GridServerInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

    public interface GridServerInterface

extends MetadataInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `deleteUserMapping(java.lang.String appName, java.lang.String gaoName, java.util.List<java.lang.String> identityName)`
`java.util.List<OMRGridApplication>` | `getExistingGOSListForApp(ServerInterface authServer, java.lang.String applicationName)`
`java.util.List<OMRGridApplication>` | `getExistingGridOptionsSetList(ServerInterface authServer)`
`java.util.List<OMRGridApplication>` | `getExistingGridOptionsSetList(ServerInterface authServer, ApplicationInterface sc)`
`java.lang.String` | `getGridCommand()`
`java.lang.String` | `getGridModuleName()`
`java.util.List<java.lang.String>` | `getGridOptions()`
`GridApplicationInterface` | `getGridOptionsSet(java.lang.String gridAppId, java.lang.String gridAppName, ServerInterface authServer)`
`java.lang.String` | `getGridRequiredProperty(java.lang.String applicationName)`
`java.util.List<java.lang.String>` | `getGridWorkLoad()`
`com.sas.metadata.remote.PropertySet` | `getPropertySet(java.lang.String applicationName)`
`java.util.List<com.sas.metadata.remote.PropertySet>` | `getPropertySetNames()`
`java.lang.String` | `getProvider()`
`java.lang.String` | `getRequiredResource()`
`java.util.List<java.lang.String>` | `getRequiredResources()`
`java.util.List<java.lang.String>` | `getSASOptions()`
`com.sas.metadata.remote.AssociationList` | `getServerProperties()`
`java.util.List<GaoIdentity>` | `getUserGaos(java.lang.String appName)`
`java.util.List<java.lang.String>` | `getUserMappings(java.lang.String propertySetName)`
`java.util.List<java.lang.String>` | `getUserMappings(java.lang.String propertySetName, java.lang.String gaoName)`
`void` | `removePropertySetFromServer(com.sas.metadata.remote.PropertySet ps)`
`void` | `setGridCommand(java.lang.String gridCommand)`
`void` | `setGridModuleName(java.lang.String moduleName)`
`void` | `setGridOptions(java.util.List<java.lang.String> gridOptions)`
`void` | `setGridRequiredProperty(java.lang.String applicationName, java.lang.String gridRequired)`
`void` | `setGridWorkLoad(java.util.List<java.lang.String> workload)`
`void` | `setPropertySetName(java.lang.String applicationName)`
`void` | `setProvider(java.lang.String provider)`
`void` | `setPublicType(java.lang.String publicType)`
`void` | `setRequiredResource(java.lang.String value)`
`void` | `setRequiredResources(java.util.List<java.lang.String> requiredResources)`
`void` | `setSASOptions(java.util.List<java.lang.String> sasOptions)`
`void` | `setUsageVersion(double versionNumber)`
`void` | `setUserMappings(java.lang.String propertySetName, java.util.List<java.lang.String> identityList, GridApplicationInterface gao)`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getPropertySetNames

    java.util.List<com.sas.metadata.remote.PropertySet> getPropertySetNames()
                                                                            throws ServiceException,
                                                                                   java.rmi.RemoteException,
                                                                                   com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getPropertySet

    com.sas.metadata.remote.PropertySet getPropertySet(java.lang.String applicationName)
                                                       throws ServiceException,
                                                              java.rmi.RemoteException,
                                                              com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setPropertySetName

    void setPropertySetName(java.lang.String applicationName)
                            throws ServiceException,
                                   java.rmi.RemoteException,
                                   com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getGridRequiredProperty

    java.lang.String getGridRequiredProperty(java.lang.String applicationName)
                                             throws ServiceException,
                                                    java.rmi.RemoteException,
                                                    com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setGridRequiredProperty

    void setGridRequiredProperty(java.lang.String applicationName,
                                 java.lang.String gridRequired)
                                 throws ServiceException,
                                        java.rmi.RemoteException,
                                        com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getUserMappings

    java.util.List<java.lang.String> getUserMappings(java.lang.String propertySetName)
                                                     throws ServiceException,
                                                            java.rmi.RemoteException,
                                                            com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setUserMappings

    void setUserMappings(java.lang.String propertySetName,
                         java.util.List<java.lang.String> identityList,
                         GridApplicationInterface gao)
                         throws ServiceException,
                                java.rmi.RemoteException,
                                com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getGridCommand

    java.lang.String getGridCommand()
                                    throws ServiceException,
                                           java.rmi.RemoteException,
                                           com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setGridCommand

    void setGridCommand(java.lang.String gridCommand)
                        throws ServiceException,
                               java.rmi.RemoteException,
                               com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getProvider

    java.lang.String getProvider()
                                 throws ServiceException,
                                        java.rmi.RemoteException,
                                        com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setProvider

    void setProvider(java.lang.String provider)
                     throws ServiceException,
                            java.rmi.RemoteException,
                            com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getRequiredResources

    java.util.List<java.lang.String> getRequiredResources()
                                                          throws ServiceException,
                                                                 java.rmi.RemoteException,
                                                                 com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setRequiredResources

    void setRequiredResources(java.util.List<java.lang.String> requiredResources)
                              throws ServiceException,
                                     java.rmi.RemoteException,
                                     com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getGridOptions

    java.util.List<java.lang.String> getGridOptions()
                                                    throws ServiceException,
                                                           java.rmi.RemoteException,
                                                           com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setGridOptions

    void setGridOptions(java.util.List<java.lang.String> gridOptions)
                        throws ServiceException,
                               java.rmi.RemoteException,
                               com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getSASOptions

    java.util.List<java.lang.String> getSASOptions()
                                                   throws ServiceException,
                                                          java.rmi.RemoteException,
                                                          com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setSASOptions

    void setSASOptions(java.util.List<java.lang.String> sasOptions)
                       throws ServiceException,
                              java.rmi.RemoteException,
                              com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getServerProperties

    com.sas.metadata.remote.AssociationList getServerProperties()
                                                                throws ServiceException,
                                                                       java.rmi.RemoteException,
                                                                       com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setUsageVersion

    void setUsageVersion(double versionNumber)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setPublicType

    void setPublicType(java.lang.String publicType)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getUserGaos

    java.util.List<GaoIdentity> getUserGaos(java.lang.String appName)
                                            throws ServiceException,
                                                   com.sas.metadata.remote.MdException,
                                                   java.rmi.RemoteException

  Throws:
    `ServiceException`
    `com.sas.metadata.remote.MdException`
    `java.rmi.RemoteException`

### deleteUserMapping

    void deleteUserMapping(java.lang.String appName,
                           java.lang.String gaoName,
                           java.util.List<java.lang.String> identityName)
                           throws java.rmi.RemoteException,
                                  com.sas.metadata.remote.MdException

  Throws:
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setGridWorkLoad

    void setGridWorkLoad(java.util.List<java.lang.String> workload)
                         throws ServiceException,
                                java.rmi.RemoteException,
                                com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getGridWorkLoad

    java.util.List<java.lang.String> getGridWorkLoad()
                                                     throws ServiceException,
                                                            java.rmi.RemoteException,
                                                            com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### setGridModuleName

    void setGridModuleName(java.lang.String moduleName)
                           throws ServiceException,
                                  java.rmi.RemoteException,
                                  com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getGridModuleName

    java.lang.String getGridModuleName()
                                       throws ServiceException,
                                              java.rmi.RemoteException,
                                              com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getRequiredResource

    java.lang.String getRequiredResource()
                                         throws ServiceException,
                                                java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setRequiredResource

    void setRequiredResource(java.lang.String value)
                             throws ServiceException,
                                    java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getExistingGridOptionsSetList

    java.util.List<OMRGridApplication> getExistingGridOptionsSetList(ServerInterface authServer)
                                                                     throws ServiceException,
                                                                            java.rmi.RemoteException,
                                                                            com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getGridOptionsSet

    GridApplicationInterface getGridOptionsSet(java.lang.String gridAppId,
                                               java.lang.String gridAppName,
                                               ServerInterface authServer)
                                               throws ServiceException,
                                                      java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getExistingGridOptionsSetList

    java.util.List<OMRGridApplication> getExistingGridOptionsSetList(ServerInterface authServer,
                                                                     ApplicationInterface sc)
                                                                     throws ServiceException,
                                                                            java.rmi.RemoteException,
                                                                            com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getUserMappings

    java.util.List<java.lang.String> getUserMappings(java.lang.String propertySetName,
                                                     java.lang.String gaoName)
                                                     throws ServiceException,
                                                            java.rmi.RemoteException,
                                                            com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### removePropertySetFromServer

    void removePropertySetFromServer(com.sas.metadata.remote.PropertySet ps)
                                     throws java.rmi.RemoteException,
                                            com.sas.metadata.remote.MdException

  Throws:
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

### getExistingGOSListForApp

    java.util.List<OMRGridApplication> getExistingGOSListForApp(ServerInterface authServer,
                                                                java.lang.String applicationName)
                                                                throws ServiceException,
                                                                       java.rmi.RemoteException,
                                                                       com.sas.metadata.remote.MdException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`
    `com.sas.metadata.remote.MdException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.